import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:flutter_flicker/configuration/configuration.dart';

class FlickerElevatedButton extends StatelessWidget {
  const FlickerElevatedButton({
    Key? key,
    required this.onPressed,
    this.child,
    this.primaryColor,
  }) : super(key: key);

  final VoidCallback onPressed;
  final Widget? child;
  final Color? primaryColor;

  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
      style: ElevatedButton.styleFrom(
        primary: this.primaryColor == null
            ? FlickerConfiguration.colors.elevatedButtonPrimary
            : this.primaryColor,
        onPrimary: Colors.white,
        textStyle: GoogleFonts.montserrat(
          fontSize: 14,
          fontWeight: FontWeight.normal,
        ),
        padding: EdgeInsets.only(
          top: 18.0,
          bottom: 18.0,
          left: 28,
          right: 28,
        ),
        shadowColor: Colors.transparent,
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(10.0),
        ),
      ),
      onPressed: onPressed,
      child: child,
    );
  }
}
